> ## Documentation Index
> Fetch the complete documentation index at: https://docs.y.uno/llms.txt
> Use this file to discover all available pages before exploring further.

# Authenticate Whitelabel User

> Authenticates a whitelabel user and returns a JWT embed token.

Authenticates a whitelabel user and returns a JWT embed token. This token can be used for subsequent authenticated requests on behalf of the whitelabel user.


## OpenAPI

````yaml openapi/organizations/authenticate-whitelabel-user.json POST /organizations/authenticate
openapi: 3.1.0
info:
  title: Organization Authentication API
  version: 1.0.0
servers:
  - url: https://api-sandbox.y.uno/v1
security:
  - sec0: []
    sec1: []
paths:
  /organizations/authenticate:
    post:
      summary: Authenticate Whitelabel User
      description: Authenticates a whitelabel user and returns a JWT embed token.
      operationId: authenticate-whitelabel-user
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              required:
                - user_id
              properties:
                user_id:
                  type: string
                  format: uuid
                  description: UUID of the whitelabel user.
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                type: object
                properties:
                  access_token:
                    type: string
                    description: JWT token for the whitelabel user.
                  token_type:
                    type: string
                    example: Bearer
                  expires_in:
                    type: integer
                    example: 86400
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                type: object
                properties:
                  code:
                    type: string
                    example: INVALID_PARAMETERS
                  message:
                    type: string
                    example: Missing or invalid user_id.
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                type: object
                properties:
                  code:
                    type: string
                    example: LOGIN_FAILED
                  message:
                    type: string
                    example: Unable to authenticate the specified user.
components:
  securitySchemes:
    sec0:
      type: apiKey
      in: header
      name: PUBLIC-API-KEY
      x-default: <Your PUBLIC-API-KEY>
    sec1:
      type: apiKey
      in: header
      name: PRIVATE-SECRET-KEY
      x-default: <Your PRIVATE-SECRET-KEY>

````